com.r3corda.node.services.messaging / ArtemisMessagingComponent / NodeAddress

# NodeAddress

`data class NodeAddress : SingleMessageRecipient, ArtemisAddress`

This is the class used to implement SingleMessageRecipient, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

### Constructors

<init> | `NodeAddress(identity: PublicKey, hostAndPort: <ERROR CLASS>)` This is the class used to implement SingleMessageRecipient, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

### Properties

hostAndPort | `val hostAndPort: <ERROR CLASS>`
identity | `val identity: PublicKey`
queueName | `val queueName: <ERROR CLASS>`

### Functions

toString | `fun toString(): String`